Bug 1008562 - [RHEVM-DWH-SETUP] - upgrade fails due to wrong user value in updatePgHba
[RHEVM-DWH-SETUP] - upgrade fails due to wrong user value in updatePgHba
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Barak Dagan
Depends On:
  Show dependency treegraph
Reported: 2013-09-16 11:20 EDT by Barak Dagan
Modified: 2014-01-21 09:59 EST (History)
8 users (show)

See Also:
Fixed In Version: rhevm-dwh-3.3.0-15.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Upgrading rhevm-dwh failed because a new user was created, ignoring the existing user, causing user and password mismatch. Now, a read-only user is created upon upgrade only if no user had been created previously.
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 09:59:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
setup log (2.73 KB, application/x-compressed-tar)
2013-09-16 11:20 EDT, Barak Dagan
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19747 None None None Never

  None (edit)
Description Barak Dagan 2013-09-16 11:20:42 EDT
Created attachment 798315 [details]
setup log

Description of prhevm-dwh-setuproblem:
running rhevm-dwh-setup twice results a failure:

TypeError: 'in <string>' requires string as left operand, not NoneType

Version-Release number of selected component (if applicable):
is14 (rhevm-dwh-3.3.0-9.el6ev.noarch)

How reproducible:

Steps to Reproduce:
1.clean installation of dwh on an "old" rhevm
2.clean installation of reports
3. 2nd installation (upgrade) of dwh

Actual results:
Error encountered while installing rhevm-dwh, please consult the log file: /var/log/ovirt-engine/rhevm-dwh-setup-2013_09_16_17_36_38.log

Expected results:

Additional info:
Comment 1 Yaniv Lavi 2013-09-16 13:55:15 EDT
What was the original version of rhevm that was installed?

Comment 2 Barak Dagan 2013-09-17 09:59:41 EDT
rhevm was upgared few times during version progress.
DHW + reports installed for the first time.
Exception was thrown during dwh second installation (upgrade).
Comment 4 Barak Dagan 2013-10-31 13:17:28 EDT
Verified on IS21:


Updated from is20.1 to is21 successfully
Comment 5 Charlie 2013-11-27 19:53:52 EST
This bug is currently attached to errata RHEA-2013:15116. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 8 errata-xmlrpc 2014-01-21 09:59:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.